fop 1.1

## org.apache.fop.render.awt
Class AWTRendererMaker

    java.lang.Object
      org.apache.fop.render.AbstractRendererMaker
          org.apache.fop.render.awt.AWTRendererMaker

    public class AWTRendererMaker

extends AbstractRendererMaker

RendererMaker for the AWT Preview Renderer.

Constructor Summary
`AWTRendererMaker()`

Method Summary
`java.lang.String[]` `getSupportedMimeTypes()`
`Renderer` `makeRenderer(FOUserAgent ua)` Instantiates a new renderer.
`boolean` `needsOutputStream()`

Methods inherited from class org.apache.fop.render.AbstractRendererMaker
`getConfigurator, isMimeTypeSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AWTRendererMaker

    public AWTRendererMaker()

Method Detail

### makeRenderer

    public Renderer makeRenderer(FOUserAgent ua)

  Instantiates a new renderer.

  Specified by:
    `makeRenderer` in class `AbstractRendererMaker`
  Parameters:
    `ua` - the user agent
  Returns:
    the newly instantiated renderer

### needsOutputStream

    public boolean needsOutputStream()

  Specified by:
    `needsOutputStream` in class `AbstractRendererMaker`
  Returns:
    Indicates whether this renderer requires an OutputStream to work with.

### getSupportedMimeTypes

    public java.lang.String[] getSupportedMimeTypes()

  Specified by:
    `getSupportedMimeTypes` in class `AbstractRendererMaker`
  Returns:
    an array of MIME types the renderer supports.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.